
import React from 'react';
import Icon from 'react-icon-base';

const SlSpeech = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M960 896.4h-895.999c-35.3438 0 -64 -28.6562 -64 -64v-577.504c0 -35.3438 28.6562 -64 64 -64h127.536v-159.312c0 -12.9121 7.74414 -24.5283 19.6318 -29.5039c4 -1.67969 8.22363 -2.49609 12.3672 -2.49609c8.25586 0 16.3359 3.18359 22.4316 9.18359 l185.024 182.128h529.008c35.3438 0 64 28.6562 64 64v577.504c0 35.3438 -28.6562 64 -63.9996 64.0004zM960.001 254.912h-555.216l-149.248 -146.912v146.912h-191.536v577.488h896v-577.488zM224.001 510.992h576c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-576 c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32zM224.001 638.992h576c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-576c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32zM224.001 382.992h384c17.6641 0 32 14.3359 32 32s-14.3359 32 -32 32h-384 c-17.6641 0 -32 -14.3359 -32 -32s14.3359 -32 32 -32z"/></g>
    </Icon>
);

export default SlSpeech;
